]> cygwin.com Git - cygwin-apps/cygutils.git/blob - Makefile.in
Rearrange directory structure
[cygwin-apps/cygutils.git] / Makefile.in
1 # Makefile.in generated automatically by automake 1.5 from Makefile.am.
2
3 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
4 # Free Software Foundation, Inc.
5 # This Makefile.in is free software; the Free Software Foundation
6 # gives unlimited permission to copy and/or distribute it,
7 # with or without modifications, as long as this notice is preserved.
8
9 # This program is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
11 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
12 # PARTICULAR PURPOSE.
13
14 @SET_MAKE@
15
16 SHELL = @SHELL@
17
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 prefix = @prefix@
22 exec_prefix = @exec_prefix@
23
24 bindir = @bindir@
25 sbindir = @sbindir@
26 libexecdir = @libexecdir@
27 datadir = @datadir@
28 sysconfdir = @sysconfdir@
29 sharedstatedir = @sharedstatedir@
30 localstatedir = @localstatedir@
31 libdir = @libdir@
32 infodir = @infodir@
33 mandir = @mandir@
34 includedir = @includedir@
35 oldincludedir = /usr/include
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 top_builddir = .
40
41 ACLOCAL = @ACLOCAL@
42 AUTOCONF = @AUTOCONF@
43 AUTOMAKE = @AUTOMAKE@
44 AUTOHEADER = @AUTOHEADER@
45
46 INSTALL = @INSTALL@
47 INSTALL_PROGRAM = @INSTALL_PROGRAM@
48 INSTALL_DATA = @INSTALL_DATA@
49 INSTALL_SCRIPT = @INSTALL_SCRIPT@
50 INSTALL_HEADER = $(INSTALL_DATA)
51 transform = @program_transform_name@
52 NORMAL_INSTALL = :
53 PRE_INSTALL = :
54 POST_INSTALL = :
55 NORMAL_UNINSTALL = :
56 PRE_UNINSTALL = :
57 POST_UNINSTALL = :
58 AMTAR = @AMTAR@
59 AWK = @AWK@
60 CC = @CC@
61 DEPDIR = @DEPDIR@
62 EXEEXT = @EXEEXT@
63 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
64 MAINT = @MAINT@
65 OBJEXT = @OBJEXT@
66 PACKAGE = @PACKAGE@
67 VERSION = @VERSION@
68 am__include = @am__include@
69 am__quote = @am__quote@
70 install_sh = @install_sh@
71
72 SUBDIRS = src
73 subdir = .
74 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
75 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
76 CONFIG_HEADER = config.h
77 CONFIG_CLEAN_FILES = src-windows/Makefile
78 DIST_SOURCES =
79
80 RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
81 uninstall-info-recursive all-recursive install-data-recursive \
82 install-exec-recursive installdirs-recursive install-recursive \
83 uninstall-recursive check-recursive installcheck-recursive
84 DIST_COMMON = README ./stamp-h.in AUTHORS COPYING ChangeLog INSTALL \
85 Makefile.am Makefile.in NEWS TODO acinclude.m4 aclocal.m4 \
86 config.h.in configure configure.ac depcomp install-sh missing \
87 mkinstalldirs
88 DIST_SUBDIRS = $(SUBDIRS)
89 all: config.h
90 $(MAKE) $(AM_MAKEFLAGS) all-recursive
91
92 .SUFFIXES:
93 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ Makefile.am $(top_srcdir)/configure.ac $(ACLOCAL_M4)
94 cd $(top_srcdir) && \
95 $(AUTOMAKE) --gnu Makefile
96 Makefile: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.in $(top_builddir)/config.status
97 cd $(top_builddir) && \
98 CONFIG_HEADERS= CONFIG_LINKS= \
99 CONFIG_FILES=$@ $(SHELL) ./config.status
100
101 $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
102 $(SHELL) ./config.status --recheck
103 $(srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
104 cd $(srcdir) && $(AUTOCONF)
105
106 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ configure.ac acinclude.m4
107 cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
108 config.h: stamp-h
109 @if test ! -f $@; then \
110 rm -f stamp-h; \
111 $(MAKE) stamp-h; \
112 else :; fi
113 stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
114 @rm -f stamp-h stamp-hT
115 @echo timestamp > stamp-hT 2> /dev/null
116 cd $(top_builddir) \
117 && CONFIG_FILES= CONFIG_HEADERS=config.h \
118 $(SHELL) ./config.status
119 @mv stamp-hT stamp-h
120 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/./stamp-h.in
121 @if test ! -f $@; then \
122 rm -f $(srcdir)/./stamp-h.in; \
123 $(MAKE) $(srcdir)/./stamp-h.in; \
124 else :; fi
125 $(srcdir)/./stamp-h.in: $(top_srcdir)/configure.ac $(ACLOCAL_M4)
126 @rm -f $(srcdir)/./stamp-h.in $(srcdir)/./stamp-h.inT
127 @echo timestamp > $(srcdir)/./stamp-h.inT 2> /dev/null
128 cd $(top_srcdir) && $(AUTOHEADER)
129 @mv $(srcdir)/./stamp-h.inT $(srcdir)/./stamp-h.in
130
131 distclean-hdr:
132 -rm -f config.h
133 src-windows/Makefile: $(top_builddir)/config.status $(top_srcdir)/src-windows/Makefile.in
134 cd $(top_builddir) && CONFIG_FILES=$@ CONFIG_HEADERS= CONFIG_LINKS= $(SHELL) ./config.status
135 uninstall-info-am:
136
137 # This directory's subdirectories are mostly independent; you can cd
138 # into them and run `make' without going through this Makefile.
139 # To change the values of `make' variables: instead of editing Makefiles,
140 # (1) if the variable is set in `config.status', edit `config.status'
141 # (which will cause the Makefiles to be regenerated when you run `make');
142 # (2) otherwise, pass the desired values on the `make' command line.
143 $(RECURSIVE_TARGETS):
144 @set fnord $(MAKEFLAGS); amf=$$2; \
145 dot_seen=no; \
146 target=`echo $@ | sed s/-recursive//`; \
147 list='$(SUBDIRS)'; for subdir in $$list; do \
148 echo "Making $$target in $$subdir"; \
149 if test "$$subdir" = "."; then \
150 dot_seen=yes; \
151 local_target="$$target-am"; \
152 else \
153 local_target="$$target"; \
154 fi; \
155 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
156 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
157 done; \
158 if test "$$dot_seen" = "no"; then \
159 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
160 fi; test -z "$$fail"
161
162 mostlyclean-recursive clean-recursive distclean-recursive \
163 maintainer-clean-recursive:
164 @set fnord $(MAKEFLAGS); amf=$$2; \
165 dot_seen=no; \
166 case "$@" in \
167 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
168 *) list='$(SUBDIRS)' ;; \
169 esac; \
170 rev=''; for subdir in $$list; do \
171 if test "$$subdir" = "."; then :; else \
172 rev="$$subdir $$rev"; \
173 fi; \
174 done; \
175 rev="$$rev ."; \
176 target=`echo $@ | sed s/-recursive//`; \
177 for subdir in $$rev; do \
178 echo "Making $$target in $$subdir"; \
179 if test "$$subdir" = "."; then \
180 local_target="$$target-am"; \
181 else \
182 local_target="$$target"; \
183 fi; \
184 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
185 || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
186 done && test -z "$$fail"
187 tags-recursive:
188 list='$(SUBDIRS)'; for subdir in $$list; do \
189 test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
190 done
191
192 tags: TAGS
193
194 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
195 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
196 unique=`for i in $$list; do \
197 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
198 done | \
199 $(AWK) ' { files[$$0] = 1; } \
200 END { for (i in files) print i; }'`; \
201 mkid -fID $$unique $(LISP)
202
203 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
204 $(TAGS_FILES) $(LISP)
205 tags=; \
206 here=`pwd`; \
207 list='$(SUBDIRS)'; for subdir in $$list; do \
208 if test "$$subdir" = .; then :; else \
209 test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
210 fi; \
211 done; \
212 list='$(SOURCES) $(HEADERS) $(TAGS_FILES)'; \
213 unique=`for i in $$list; do \
214 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
215 done | \
216 $(AWK) ' { files[$$0] = 1; } \
217 END { for (i in files) print i; }'`; \
218 test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
219 || etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP)
220
221 GTAGS:
222 here=`CDPATH=: && cd $(top_builddir) && pwd` \
223 && cd $(top_srcdir) \
224 && gtags -i $(GTAGS_ARGS) $$here
225
226 distclean-tags:
227 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
228
229 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
230
231 top_distdir = .
232 # Avoid unsightly `./'.
233 distdir = $(PACKAGE)-$(VERSION)
234
235 GZIP_ENV = --best
236
237 distdir: $(DISTFILES)
238 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
239 mkdir $(distdir)
240 $(mkinstalldirs) $(distdir)/src-windows
241 @for file in $(DISTFILES); do \
242 if test -f $$file; then d=.; else d=$(srcdir); fi; \
243 dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
244 if test "$$dir" != "$$file" && test "$$dir" != "."; then \
245 $(mkinstalldirs) "$(distdir)/$$dir"; \
246 fi; \
247 if test -d $$d/$$file; then \
248 cp -pR $$d/$$file $(distdir) \
249 || exit 1; \
250 else \
251 test -f $(distdir)/$$file \
252 || cp -p $$d/$$file $(distdir)/$$file \
253 || exit 1; \
254 fi; \
255 done
256 for subdir in $(SUBDIRS); do \
257 if test "$$subdir" = .; then :; else \
258 test -d $(distdir)/$$subdir \
259 || mkdir $(distdir)/$$subdir \
260 || exit 1; \
261 (cd $$subdir && \
262 $(MAKE) $(AM_MAKEFLAGS) \
263 top_distdir="$(top_distdir)" \
264 distdir=../$(distdir)/$$subdir \
265 distdir) \
266 || exit 1; \
267 fi; \
268 done
269 -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
270 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
271 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
272 ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
273 || chmod -R a+r $(distdir)
274 dist: distdir
275 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
276 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
277
278 # This target untars the dist file and tries a VPATH configuration. Then
279 # it guarantees that the distribution is self-contained by making another
280 # tarfile.
281 distcheck: dist
282 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
283 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
284 chmod -R a-w $(distdir); chmod a+w $(distdir)
285 mkdir $(distdir)/=build
286 mkdir $(distdir)/=inst
287 chmod a-w $(distdir)
288 dc_install_base=`CDPATH=: && cd $(distdir)/=inst && pwd` \
289 && cd $(distdir)/=build \
290 && ../configure --srcdir=.. --prefix=$$dc_install_base \
291 && $(MAKE) $(AM_MAKEFLAGS) \
292 && $(MAKE) $(AM_MAKEFLAGS) dvi \
293 && $(MAKE) $(AM_MAKEFLAGS) check \
294 && $(MAKE) $(AM_MAKEFLAGS) install \
295 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
296 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
297 && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
298 || (echo "Error: files left after uninstall" 1>&2; \
299 exit 1) ) \
300 && $(MAKE) $(AM_MAKEFLAGS) dist \
301 && $(MAKE) $(AM_MAKEFLAGS) distclean \
302 && rm -f $(distdir).tar.gz \
303 && (test `find . -type f -print | wc -l` -eq 0 \
304 || (echo "Error: files left after distclean" 1>&2; \
305 exit 1) )
306 -chmod -R a+w $(distdir) > /dev/null 2>&1; rm -rf $(distdir)
307 @echo "$(distdir).tar.gz is ready for distribution" | \
308 sed 'h;s/./=/g;p;x;p;x'
309 check-am: all-am
310 check: check-recursive
311 all-am: Makefile config.h
312 installdirs: installdirs-recursive
313 installdirs-am:
314
315 install: install-recursive
316 install-exec: install-exec-recursive
317 install-data: install-data-recursive
318 uninstall: uninstall-recursive
319
320 install-am: all-am
321 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
322
323 installcheck: installcheck-recursive
324 install-strip:
325 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
326 `test -z '$(STRIP)' || \
327 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
328 mostlyclean-generic:
329
330 clean-generic:
331
332 distclean-generic:
333 -rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*
334
335 maintainer-clean-generic:
336 @echo "This command is intended for maintainers to use"
337 @echo "it deletes files that may require special tools to rebuild."
338 clean: clean-recursive
339
340 clean-am: clean-generic mostlyclean-am
341
342 dist-all: distdir
343 $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
344 -chmod -R a+w $(distdir) >/dev/null 2>&1; rm -rf $(distdir)
345 distclean: distclean-recursive
346 -rm -f config.status config.cache config.log
347 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
348
349 dvi: dvi-recursive
350
351 dvi-am:
352
353 info: info-recursive
354
355 info-am:
356
357 install-data-am:
358
359 install-exec-am:
360
361 install-info: install-info-recursive
362
363 install-man:
364
365 installcheck-am:
366
367 maintainer-clean: maintainer-clean-recursive
368
369 maintainer-clean-am: distclean-am maintainer-clean-generic
370
371 mostlyclean: mostlyclean-recursive
372
373 mostlyclean-am: mostlyclean-generic
374
375 uninstall-am: uninstall-info-am
376
377 uninstall-info: uninstall-info-recursive
378
379 .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
380 clean-generic clean-recursive dist dist-all distcheck distclean \
381 distclean-generic distclean-hdr distclean-recursive \
382 distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
383 info-recursive install install-am install-data install-data-am \
384 install-data-recursive install-exec install-exec-am \
385 install-exec-recursive install-info install-info-am \
386 install-info-recursive install-man install-recursive \
387 install-strip installcheck installcheck-am installdirs \
388 installdirs-am installdirs-recursive maintainer-clean \
389 maintainer-clean-generic maintainer-clean-recursive mostlyclean \
390 mostlyclean-generic mostlyclean-recursive tags tags-recursive \
391 uninstall uninstall-am uninstall-info-am \
392 uninstall-info-recursive uninstall-recursive
393
394 # Tell versions [3.59,3.63) of GNU make to not export all variables.
395 # Otherwise a system limit (for SysV at least) may be exceeded.
396 .NOEXPORT:
This page took 0.053913 seconds and 6 git commands to generate.